$icon_types = [ "airfield","airport","alcohol-shop","america-football","art-gallery","bakery","bank","bar",
    "baseball","basketball","beer","bicycle","building","bus","cafe","camera","campsite","car",
    "cemetery","chemist","cinema","circle-stroked","circle","city","clothing-store","college",
    "commercial","cricket","cross","dam","danger","disability","dog-park","embassy",
    "emergency-telephone","entrance","farm","fast-food","ferry","fire-station","fuel","garden",
    "golf","grocery","hairdresser","harbor","heart","heliport","hospital","industrial",
    "land-use","laundry","library","lighthouse","lodging","logging","london-underground",
    "marker-stroked","marker","minefield","mobilephone","monument","museum","music","oil-well",
    "park2","park","parking-garage","parking","pharmacy","pitch","place-of-worship",
    "playground","police","polling-place","post","prison","rail-above","rail-light",
    "rail-metro","rail-underground","rail","religious-christian","religious-jewish",
    "religious-muslim","restaurant","roadblock","rocket","school","scooter","shop","skiing",
    "slaughterhouse","soccer","square-stroked","square","star-stroked","star","suitcase",
    "swimming","telephone","tennis","theatre","toilets","town-hall","town","triangle-stroked",
    "triangle","village","warehouse","waste-basket","water","wetland","zoo"
]

$icon_options_base = {
  :icon_url => 'https://api.tiles.mapbox.com/v3/marker/pin-m-waste-basket+ff0000.png',
  :icon_size => [30, 70],
  :shadow_size => nil,
  :icon_anchor => [15,37],
  :shadow_anchor => nil,
  :popup_anchor => [0, -40]
}

module ItemsHelper
  def link_to_josm(text, command, options, html_options={})
    query = options.reject{ |k,v| k.to_s=='add_tags' }.to_query
    add_tags = options['add_tags'] || options[:add_tags]
    query += ('&addtags='+ add_tags.to_query.gsub!('&','%7C')) unless add_tags.nil?
    link_to text, "http://localhost:8111/#{command}?#{query}", html_options
  end
end